Bug 798691 - Cross-arch upgrade is allowed and does not work
Cross-arch upgrade is allowed and does not work
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Brian Lane
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 735060
  Show dependency treegraph
 
Reported: 2012-02-29 10:19 EST by Kamil Páral
Modified: 2013-07-04 04:24 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-04 04:24:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
no_kernel.png (46.78 KB, image/png)
2012-02-29 10:20 EST, Kamil Páral
no flags Details
reboot.png (59.28 KB, image/png)
2012-02-29 10:20 EST, Kamil Páral
no flags Details

  None (edit)
Description Kamil Páral 2012-02-29 10:19:55 EST
Description of problem:
I tried to upgrade F16 i686 with F17 Alpha DVD x86_64. I wanted to check whether bug 735060 is resolved. However, to my surprise, anaconda allowed me to perform the upgrade, no warning/error message poped up.

I don't believe cross-arch upgrade is supported, therefore it should not be made possible. The upgrade was really fast (probably just a few packages were installed) and at the end I was presented with an error about kernel packages (no_kernel.png). After hitting OK, the "Bootloader" dialog stayed open, even though anaconda switched to final screen (reboot.png). "Reboot" button was not clickable and I had to hard-reset. I believe that is another error - if there is an error dialog during "installing bootloader" phase, the original dialog stays displayed.

After reboot, I booted again into Fedora 16 (the graphics and most of the applications seem to be fc16), but e.g. /etc/fedora-release says Fedora 17.

Version-Release number of selected component (if applicable):
F17 Alpha
anaconda 17.11

How reproducible:
probably 100%

Steps to Reproduce:
1. install F16 i686
2. upgrade from F17 Alpha x86_64
3.
  
Actual results:
no error dialog

Expected results:
error dialog

Additional info:
Proposing as F17 Beta blocker due to criterion:
"The installer must be able to successfully complete an upgrade installation from a clean, fully updated default installation (from any official install medium) of the previous stable Fedora release, either via preupgrade or by booting to the installer manually. The upgraded system must meet all release criteria"
https://fedoraproject.org/wiki/Fedora_17_Beta_Release_Criteria
The upgraded system clearly does not meet criteria. It's probably half-broken.
Comment 1 Kamil Páral 2012-02-29 10:20:17 EST
Created attachment 566570 [details]
no_kernel.png
Comment 2 Kamil Páral 2012-02-29 10:20:23 EST
Created attachment 566571 [details]
reboot.png
Comment 3 Fedora End Of Life 2013-07-03 15:46:12 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Kamil Páral 2013-07-04 04:24:30 EDT
Anaconda no longer performs upgrades, but the same problem affects fedup. Reported as bug 981180.

Note You need to log in before you can comment on or make changes to this bug.